Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.info
Class UpdateCheckResults

    java.lang.Object
      com.google.appengine.tools.info.UpdateCheckResults

    public class UpdateCheckResults

extends java.lang.Object

Makes information about the local SDK version and the latest remote version available.

Nested Class Summary
`static class` | `UpdateCheckResults.VersionComparator` `VersionComparator` compares strings that represent dotted version numbers (e.g.

Method Summary
`Version` | `getLocalVersion()` Returns a `Version` for the current local SDK.
`Version` | `getRemoteVersion()` Returns a `Version` for the remote servers.
`boolean` | `isApiVersionSupportedLocally(java.lang.String apiVersion)` Returns true if `apiVersion` is supported by the local SDK.
`boolean` | `isApiVersionSupportedRemotely(java.lang.String apiVersion)` Returns true if `apiVersion` is supported on the server.
`boolean` | `isLocalApiVersionNoLongerSupported()` Returns true if the server does not support any of the API versions supported by the local SDK.
`boolean` | `isNewerApiVersionAvailable()` Returns true if the server supports a new API version that the local SDK does not.
`boolean` | `isNewerReleaseAvailable()` Returns true if there is a newer SDK release available on the remote server.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLocalVersion

    public Version getLocalVersion()

  Returns a `Version` for the current local SDK.

### getRemoteVersion

    public Version getRemoteVersion()

  Returns a `Version` for the remote servers.

### isNewerReleaseAvailable

    public boolean isNewerReleaseAvailable()

  Returns true if there is a newer SDK release available on the remote server.

### isNewerApiVersionAvailable

    public boolean isNewerApiVersionAvailable()

  Returns true if the server supports a new API version that the local SDK does not.

### isLocalApiVersionNoLongerSupported

    public boolean isLocalApiVersionNoLongerSupported()

  Returns true if the server does not support any of the API versions supported by the local SDK.

### isApiVersionSupportedRemotely

    public boolean isApiVersionSupportedRemotely(java.lang.String apiVersion)

  Returns true if `apiVersion` is supported on the server.

### isApiVersionSupportedLocally

    public boolean isApiVersionSupportedLocally(java.lang.String apiVersion)

  Returns true if `apiVersion` is supported by the local SDK.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD